KGDB(1)

NAME
kgdb - kernel debugger

SYNOPSIS
kgdb [-a | -f | -fullname] [-q | -quiet] [-v] [-w] [-d crashdir] [-c core | -n dumpnr | -r device] [kernel [core]]

DESCRIPTION
The kgdb utility is a debugger based on gdb(1) that allows debugging of kernel core files.

The options are as follows:

-a  Increase the annotation level. An annotation level of 1 features the historical -fullname option of gdb(1). This is useful when running kgdb in Emacs. The -f or -fullname options are supported for backward compatibility as well.

-q  Suppress printing of the banner when the debugger starts. The -quiet form is supported for compatibility as well.

-v  Increase verbosity.

-w  Opens kmem-based targets in read-write mode. (This is identical to what --wcore used to do in previous gdb versions for FreeBSD.)

-d crashdir
    Use crashdir instead of the default, /var/crash to locate kernel core dump files in. The name vmcore. plus the dump number will be appended to determine the actual dump file name.

-c core
    Explicitly use core as the core dump file.

-n dumpnr
    Use the kernel core dump file numbered dumpnr for debugging.

-r device
    Use device to connect kgdb to for a remote debugging session.

The -c, -n, and -r options are mutually exclusive.

Optionally, the name of the kernel symbol file and the name of the core dump file can be supplied on the command-line as positional arguments. If no kernel symbol file name has been given, the symbol file of the currently running kernel will be used. If no core dump file has been specified through either of the options or the last command-line argument, /dev/mem will be opened to allow debugging the currently running kernel.

FILES

/dev/mem
    Default memory image to open if no core dump file has been specified.

/var/crash
    Default directory to locate kernel core dump files.

SEE ALSO
gdb(1)

HISTORY
The kgdb utility first appeared in its current form in FreeBSD 5.3.